Page 7 of 9

Re: ZCC - Zandronum Community Client [ZAN3.0-170416-0710 Version 1.0]

Posted: Fri Jun 16, 2017 10:51 pm
by Sean
Google says it could be to do with a missing MSVC runtime. Try installing the Visual C++ 2015 x86 runtime, I'd assume that's what it needs.

Re: ZCC - Zandronum Community Client [ZAN3.0-170416-0710 Version 1.0]

Posted: Fri Jun 16, 2017 11:30 pm
by SkeltalSpirit
Thanks, I'll do that when I have the time and let you know if it doesn't work or something else happens.

Re: ZCC - Zandronum Community Client [ZAN3.0-170416-0710 Version 1.0]

Posted: Sun Jul 23, 2017 9:30 am
by ForrestMarkX

Re: ZCC - Zandronum Community Client [ZAN3.0-170416-0710 Version 1.0]

Posted: Mon Jul 24, 2017 8:07 pm
by ForrestMarkX
Since it appears that some TSPG servers use a older 3.0 revision. Here is ZCC for 3.0-alpha-r170625-1906

Windows - https://www.dropbox.com/s/ii38xuz1kmf44 ... 6.zip?dl=0

Re: ZCC - Zandronum Community Client [ZAN3.0-170416-0710 Version 1.0]

Posted: Mon Jul 24, 2017 9:04 pm
by Doomenator
Is this for what specific operating system?

Re: ZCC - Zandronum Community Client [ZAN3.0-170416-0710 Version 1.0]

Posted: Tue Aug 01, 2017 10:20 am
by DevilHunter
Doomenator wrote:Is this for what specific operating system?
Do what now? The downloads listed in each post should tell ya what OS it's for. Also, I managed to grab every download and have them on my HTTP. Check it out if you wish

EDIT: The "Zandronum Community Client 2.0 v1.0 Linux mirror by Dark-Assassin" link does not work. Gives me the ol' 404 error.

Re: ZCC - Zandronum Community Client [ZAN3.0-170416-0710 Version 1.0]

Posted: Tue Aug 01, 2017 11:44 am
by Doomenator
DevilHunter wrote:Do what now? The downloads listed in each post should tell ya what OS it's for. Also, I managed to grab every download and have them on my HTTP. Check it out if you wish

EDIT: The "Zandronum Community Client 2.0 v1.0 Linux mirror by Dark-Assassin" link does not work. Gives me the ol' 404 error.
I'm not just asking.
I was checked https://www.dropbox.com/s/ii38xuz1kmf44 ... 6.zip?dl=0 under Windows XP does not start.
Message: Not a Valid Win32 Application. But ZCC 2.1.2 v1.5 works fine.

Re: ZCC - Zandronum Community Client [ZAN3.0-170416-0710 Version 1.0]

Posted: Tue Aug 01, 2017 11:58 am
by ForrestMarkX
Doomenator wrote:
DevilHunter wrote:Do what now? The downloads listed in each post should tell ya what OS it's for. Also, I managed to grab every download and have them on my HTTP. Check it out if you wish

EDIT: The "Zandronum Community Client 2.0 v1.0 Linux mirror by Dark-Assassin" link does not work. Gives me the ol' 404 error.
I'm not just asking.
I was checked https://www.dropbox.com/s/ii38xuz1kmf44 ... 6.zip?dl=0 under Windows XP does not start.
Message: Not a Valid Win32 Application. But ZCC 2.1.2 v1.5 works fine.
Only works on 64-bit OSs

Re: ZCC - Zandronum Community Client [ZAN3.0-170416-0710 Version 1.0]

Posted: Tue Aug 01, 2017 2:03 pm
by Doomenator
ForrestMarkX wrote:Only works on 64-bit OSs
It is necessary to write at once.

Re: ZCC - Zandronum Community Client [ZAN3.0-170416-0710 Version 1.0]

Posted: Tue Aug 01, 2017 2:10 pm
by Sean
Most people with a PC from the last > 10 years are using a 64-bit OS, so I don't think it's much of a concern.

Re: ZCC - Zandronum Community Client [ZAN3.0-170416-0710 Version 1.0]

Posted: Tue Aug 01, 2017 2:34 pm
by Doomenator
Sean wrote:Most people with a PC from the last > 10 years are using a 64-bit OS, so I don't think it's much of a concern.
It doesn't matter. On my netbook is XP and it feels great. No need to lead people astray.
Fused wrote:Links:

Zandronum Community Client 3.0 for Zandronum 3.0-alpha-170416-0710 - v1.0
Win32
Linux 32-bit
Linux 64-bit

Re: ZCC - Zandronum Community Client [ZAN3.0-170416-0710 Version 1.0]

Posted: Tue Aug 01, 2017 3:03 pm
by Sean
Doomenator wrote:It doesn't matter. On my netbook is XP and it feels great.
Why in God's name are you using an OS that's well known for being a gaping security vulnerability that stopped being supported by everyone many years ago in the first place?!?!

Re: ZCC - Zandronum Community Client [ZAN3.0-170416-0710 Version 1.0]

Posted: Tue Aug 01, 2017 3:48 pm
by Doomenator
Sean wrote:Why in God's name are you using an OS that's well known for being a gaping security vulnerability that stopped being supported by everyone many years ago in the first place?!?!
A reasonable question. I've thought about this before. But only now realized why. I was hoping that would be a reason to write in this thread. There's only one problem, this does not apply to fact. :biggrin:

Re: ZCC - Zandronum Community Client [ZAN3.0-170416-0710 Version 1.0]

Posted: Tue Aug 01, 2017 5:29 pm
by ForrestMarkX
I currently do not have a VM to compile ZCC under a 32-bit OS

Re: ZCC - Zandronum Community Client [ZAN3.0-170416-0710 Version 1.0]

Posted: Tue Aug 01, 2017 6:42 pm
by Torr Samaho
ForrestMarkX wrote:Only works on 64-bit OSs
Are you sure? Out of curiosity, I had a brief look at the binary and it looks like a 32 bit executable. I assume that it doesn't work with WinXP for the same reason we needed to take special precautions to make the official Zandronum 3.0 builds XP compatible: Binaries compiled with VC++ 2015 have problems with WinXP. If you add "-T v140_xp" to the cmake command line call that creates the VC++ 2015 solution, the binary should be XP compatible.

Re: ZCC - Zandronum Community Client [ZAN3.0-170416-0710 Version 1.0]

Posted: Tue Aug 01, 2017 7:31 pm
by ibm5155
oh you can set that in cmake :o , I Always went to the Project settings and manually set it to make a xp compatible build.

Re: ZCC - Zandronum Community Client [ZAN3.0-170416-0710 Version 1.0]

Posted: Wed Aug 02, 2017 9:17 am
by ForrestMarkX
Torr Samaho wrote:
ForrestMarkX wrote:Only works on 64-bit OSs
Are you sure? Out of curiosity, I had a brief look at the binary and it looks like a 32 bit executable. I assume that it doesn't work with WinXP for the same reason we needed to take special precautions to make the official Zandronum 3.0 builds XP compatible: Binaries compiled with VC++ 2015 have problems with WinXP. If you add "-T v140_xp" to the cmake command line call that creates the VC++ 2015 solution, the binary should be XP compatible.
Ohh I see, I never really took into account it uses stuff incompatible with Windows XP. I always assumed it only worked for the architecture it was built on similiar to Linux

Re: ZCC - Zandronum Community Client [ZAN3.0-170416-0710 Version 1.0]

Posted: Sat Sep 09, 2017 4:12 pm
by Fsn76
thx for your work guys !

Re: ZCC - Zandronum Community Client [ZAN3.0-170416-0710 Version 1.0]

Posted: Sun Sep 10, 2017 8:17 am
by DevilHunter
So uhh.. Seeing as Zan 3.0 is the Official Build now.. Can we get an official ZCC 3.0 build?? Please??

Re: ZCC - Zandronum Community Client [v1.6 Zandronum 3.0]

Posted: Mon Sep 11, 2017 7:44 am
by Fused
FYI, ZCC for Zandronum 3.0-stable should be done today.